Bug 22372 - Add shelving location to Holds awaiting pickup report
Summary: Add shelving location to Holds awaiting pickup report
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Matthias Meusburger
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-19 15:48 UTC by Matthias Meusburger
Modified: 2019-04-26 13:20 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22372 - Add available location to Holds awaiting pickup (1.66 KB, patch)
2019-02-19 15:51 UTC, Matthias Meusburger
Details | Diff | Splinter Review
Bug 22171: Fix shipping cost display on invoice (1.94 KB, patch)
2019-02-22 20:15 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22372 - Add available location to Holds awaiting pickup (1.74 KB, patch)
2019-03-22 20:27 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 22372: Add available location to Holds awaiting pickup (1.86 KB, patch)
2019-04-08 22:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22372: (QA follow-up) Change 'Available location' to 'Shelving location' (1.02 KB, patch)
2019-04-08 22:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Meusburger 2019-02-19 15:48:52 UTC
Add available location to Holds awaiting pickup

Test plan:
 - Go to Circulation, Holds awaiting pickup (circ/waitingreserves.pl)
 - Note the additional column for available location.
Comment 1 Matthias Meusburger 2019-02-19 15:51:20 UTC
Created attachment 85285 [details] [review]
Bug 22372 - Add available location to Holds awaiting pickup

Test plan:
 - Go to Circulation, Holds awaiting pickup (circ/waitingreserves.pl)
 - Note the additional column for available location.
Comment 2 Bin Wen 2019-02-22 20:15:23 UTC
Created attachment 85575 [details] [review]
Bug 22171: Fix shipping cost display on invoice

When not 0 the shipping cost on the invoice would display with
a lot of numbers after the comma. This fixed it to display with
only 2.

To test:
- Make sure you have an invoice with shipping cost set (example: 5.00)
- Open the invoice for editing (invoice.pl)
- Verify the shipping cost displays with too many decimals (5.000000)
- Apply patch
- Verify now the shipping cost displays correctly (5.00)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Signed-off-by: bin.wen <bin.wen@inlibro.com>
Comment 3 Katrin Fischer 2019-02-24 12:20:32 UTC
Hi Bin, I tihnk you might have typoed on the bug number - resetting this bug here. Do you want ot attach your sign-off to bug 22171?
Comment 4 Katrin Fischer 2019-02-24 12:20:57 UTC
Or the right patch here?
Comment 5 José-Mario Monteiro-Santos 2019-03-22 20:27:17 UTC
Created attachment 86931 [details] [review]
Bug 22372 - Add available location to Holds awaiting pickup

Test plan:
 - Go to Circulation, Holds awaiting pickup (circ/waitingreserves.pl)
 - Note the additional column for available location.

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Comment 6 Katrin Fischer 2019-04-08 22:55:18 UTC
As we know for sure which item will fill the hold here, I think we can just make it: Location, instead of "Available location". I'll add a tiny follow-up.
Comment 7 Katrin Fischer 2019-04-08 22:58:43 UTC
Created attachment 87565 [details] [review]
Bug 22372: Add available location to Holds awaiting pickup

Test plan:
 - Go to Circulation, Holds awaiting pickup (circ/waitingreserves.pl)
 - Note the additional column for available location.

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2019-04-08 22:58:47 UTC
Created attachment 87566 [details] [review]
Bug 22372: (QA follow-up) Change 'Available location' to 'Shelving location'

Make terminology more consistent with other places in Koha.
Comment 9 Nick Clemens 2019-04-17 12:28:30 UTC
Awesome work all!

Pushed to master for 19.05
Comment 10 Martin Renvoize 2019-04-26 13:20:42 UTC
Enhancement will not be backported to 18.11.x series.